/********************************************************* begin of preamble
**
** Copyright (C) 2003-2012 Software- und Organisations-Service GmbH. 
** All rights reserved.
**
** This file may be used under the terms of either the 
**
**   GNU General Public License version 2.0 (GPL)
**
**   as published by the Free Software Foundation
**   http://www.gnu.org/licenses/gpl-2.0.txt and appearing in the file
**   LICENSE.GPL included in the packaging of this file. 
**
** or the
**  
**   Agreement for Purchase and Licensing
**
**   as offered by Software- und Organisations-Service GmbH
**   in the respective terms of supply that ship with this file.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
** IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
** THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
** PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
** BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
** CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
** SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
** INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
** CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
** ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
** POSSIBILITY OF SUCH DAMAGE.
********************************************************** end of preamble*/
#ifndef __SCHEDULER_JAVAPROXY_H_
#define __SCHEDULER_JAVAPROXY_H_

#include "../javaproxy/com__sos__scheduler__engine__kernel__Scheduler.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__event__CppEventFactory.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__cppproxy__JobC.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__cppproxy__Job_chainC.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__cppproxy__Job_subsystemC.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__cppproxy__NodeC.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__cppproxy__OrderC.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__cppproxy__Order_queueC.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__cppproxy__Order_queue_nodeC.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__cppproxy__Order_subsystemC.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__cppproxy__Prefix_logC.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__cppproxy__SpoolerC.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__event__EventSubsystem.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__folder__FileBased.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__http__SchedulerHttpRequest.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__http__SchedulerHttpResponse.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__job__Job.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__log__PrefixLog.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__order__Order.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__order__UnmodifiableOrder.h"
#include "../javaproxy/com__sos__scheduler__engine__cplusplus__runtime__Sister.h"
#include "../javaproxy/com__sos__scheduler__engine__main__SchedulerControllerBridge.h"
#include "../javaproxy/java__lang__Object.h"
#include "../javaproxy/java__lang__String.h"
#include "../javaproxy/java__util__ArrayList.h"

namespace sos {
namespace scheduler {

typedef ::javaproxy::com::sos::scheduler::engine::kernel::Scheduler SchedulerJ;
typedef ::javaproxy::com::sos::scheduler::engine::kernel::event::CppEventFactory CppEventFactoryJ;
typedef ::javaproxy::com::sos::scheduler::engine::kernel::http::SchedulerHttpRequest SchedulerHttpRequestJ;
typedef ::javaproxy::com::sos::scheduler::engine::kernel::http::SchedulerHttpResponse SchedulerHttpResponseJ;
typedef ::javaproxy::com::sos::scheduler::engine::kernel::log::PrefixLog PrefixLogJ;
typedef ::javaproxy::java::lang::Object ObjectJ;
typedef ::javaproxy::java::lang::String StringJ;
}} //namespaces

using namespace ::javaproxy::com::sos::scheduler::engine::kernel::cppproxy;

#endif
